#include <iostream>
#include <vector>
#include "square.hpp"
#include "rectangle.hpp"
#include "triangle.hpp"
#include "hexagon.hpp"

using namespace std;

int main()
{
    vector<Shape*> shapes; // alakzat mutatk vektora

    shapes.push_back(new Square(2));
    shapes.push_back(new Rectangle(2, 4));
    shapes.push_back(new Triangle(2));
    shapes.push_back(new Hexagon(2));

    for (int i = 0; i < shapes.size(); i++)
        cout << "area: " << shapes[i]->Area() << ", perimeter: " << shapes[i]->Perimeter() << endl;

    return 0;
}
